Bug 539619 - SELinux is preventing /usr/bin/xauth "getattr" access on /home.
Summary: SELinux is preventing /usr/bin/xauth "getattr" access on /home.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:9714ba89113...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-20 17:57 UTC by Austin Foxley
Modified: 2009-12-02 04:39 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:47 UTC


Attachments (Terms of Use)

Description Austin Foxley 2009-11-20 17:57:08 UTC
Summary:

SELinux is preventing /usr/bin/xauth "getattr" access on /home.

Detailed Description:

SELinux denied access requested by xauth. It is not expected that this access is
required by xauth and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:object_r:nfs_t:s0
Target Objects                /home [ filesystem ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-7.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov
                              7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Fri 20 Nov 2009 08:43:08 AM PST
Last Seen                     Fri 20 Nov 2009 09:55:17 AM PST
Local ID                      7b158653-4d7a-45e1-9990-975197ac2544
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258739717.572:60): avc:  denied  { getattr } for  pid=5976 comm="xauth" name="/" dev=0:14 ino=39045 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:nfs_t:s0 tclass=filesystem

node=(removed) type=SYSCALL msg=audit(1258739717.572:60): arch=c000003e syscall=137 success=no exit=-13 a0=7fffd05b38c0 a1=7fffd05b3310 a2=180 a3=7fffd05b34b0 items=0 ppid=5975 pid=5976 auid=500 uid=500 gid=100 euid=500 suid=500 fsuid=500 egid=100 sgid=100 fsgid=100 tty=pts5 ses=5 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,xauth,xauth_t,nfs_t,filesystem,getattr
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t nfs_t:filesystem getattr;

Comment 1 Daniel Walsh 2009-11-20 21:24:13 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:38:15 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:21:17 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:32:45 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.